resources:
    App\Entity\OperativeSystem:
        processor: App\State\Processor\OperativeSystemProcessor
        input: App\Dto\Input\OperativeSystemInput
        output: App\Dto\Output\OperativeSystemOutput
        normalizationContext:
            groups: ['default', 'operative-system:read']
        denormalizationContext:
            groups: ['operative-system:write']
        operations:
            ApiPlatform\Metadata\GetCollection:
                provider: App\State\Provider\OperativeSystemProvider
                filters:
                    - 'api_platform.filter.operative_system.order'
                    - 'api_platform.filter.operative_system.search'

            ApiPlatform\Metadata\Get:
                provider: App\State\Provider\OperativeSystemProvider
            ApiPlatform\Metadata\Put:
                provider: App\State\Provider\OperativeSystemProvider
            ApiPlatform\Metadata\Patch:
                provider: App\State\Provider\OperativeSystemProvider
            ApiPlatform\Metadata\Post: ~
            ApiPlatform\Metadata\Delete: ~

properties:
    App\Entity\OperativeSystem:
        id:
            identifier: false
        uuid:
            identifier: true